<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'brand',

    /*
     * Modules.
     */
    'modules'   => ['product_brand'],

    
    'product_brand'       => [
        'model' => [
            'model'                 => \Litecms\Brand\Models\ProductBrand::class,
            'table'                 => 'product_brands',
            'presenter'             => \Litecms\Brand\Repositories\Presenter\ProductBrandPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'title_h1',  'title_h2',  'search_for',  'alias',  'page_title',  'alt_text',  'description',  'embed_code',  'meta_title_brand',  'meta_keywords_brand',  'meta_description_brand',  'discount_carton',  'brand_discount',  'discount_type',  'expiry_date',  'delivery_surcharge',  'surcharge_value',  'surcharge_minprod'],
            'translatables'         => [],
            'upload_folder'         => 'brand/product_brand',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Brand',
            'module'    => 'ProductBrand',
        ],

    ],
];
