<?php

namespace Litecms\Brand\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductBrandTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Brand\Models\ProductBrand $product_brand)
    {
        return [
            'id'                => $product_brand->getRouteKey(),
            'key'               => [
                'public'    => $product_brand->getPublicKey(),
                'route'     => $product_brand->getRouteKey(),
            ], 
            'id'                => $product_brand->id,
            'name'              => $product_brand->name,
            'title_h1'          => $product_brand->title_h1,
            'title_h2'          => $product_brand->title_h2,
            'search_for'        => $product_brand->search_for,
            'alias'             => $product_brand->alias,
            'page_title'        => $product_brand->page_title,
            'alt_text'          => $product_brand->alt_text,
            'description'       => $product_brand->description,
            'embed_code'        => $product_brand->embed_code,
            'meta_title_brand'  => $product_brand->meta_title_brand,
            'meta_keywords_brand' => $product_brand->meta_keywords_brand,
            'meta_description_brand' => $product_brand->meta_description_brand,
            'discount_carton'   => $product_brand->discount_carton,
            'brand_discount'    => $product_brand->brand_discount,
            'discount_type'     => $product_brand->discount_type,
            'expiry_date'       => $product_brand->expiry_date,
            'delivery_surcharge' => $product_brand->delivery_surcharge,
            'surcharge_value'   => $product_brand->surcharge_value,
            'surcharge_minprod' => $product_brand->surcharge_minprod,
            'url'               => [
                'public'    => trans_url('brand/'.$product_brand->getPublicKey()),
                'user'      => guard_url('brand/product_brand/'.$product_brand->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product_brand->status),
            'created_at'        => format_date($product_brand->created_at),
            'updated_at'        => format_date($product_brand->updated_at),
        ];
    }
}